io.milvus.param.highlevel.dml

## Class GetIdsParam.Builder<T>

- java.lang.Object
- - io.milvus.param.highlevel.dml.GetIdsParam.Builder<T>

- Enclosing class:
    GetIdsParam

      public static class GetIdsParam.Builder<T>
      extends java.lang.Object

  Builder for `GetIdsParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetIdsParam.Builder` | `addPrimaryId(T primaryId)` Specifies primaryId field.
    `GetIdsParam` | `build()` Verifies parameters and creates a new `GetIdsParam` instance.
    `GetIdsParam.Builder` | `withCollectionName(@NonNull java.lang.String collectionName)` Sets the collection name.
    `GetIdsParam.Builder` | `withConsistencyLevel(ConsistencyLevelEnum consistencyLevel)` ConsistencyLevel of consistency level.
    `GetIdsParam.Builder` | `withOutputFields(@NonNull java.util.List<java.lang.String> outputFields)` Specifies output fields (Optional).
    `GetIdsParam.Builder` | `withPrimaryIds(@NonNull java.util.List<T> primaryIds)` Specifies primaryIds fields.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withCollectionName

          public GetIdsParam.Builder withCollectionName(@NonNull
                                                        @NonNull java.lang.String collectionName)

      Sets the collection name. Collection name cannot be empty or null.
      Parameters:
        `collectionName` - collection name
      Returns:
        `Builder`

    - #### withOutputFields

          public GetIdsParam.Builder withOutputFields(@NonNull
                                                      @NonNull java.util.List<java.lang.String> outputFields)

      Specifies output fields (Optional).
      Parameters:
        `outputFields` - output fields
      Returns:
        `Builder`

    - #### withPrimaryIds

          public GetIdsParam.Builder withPrimaryIds(@NonNull
                                                    @NonNull java.util.List<T> primaryIds)

      Specifies primaryIds fields. PrimaryIds cannot be empty or null.
      Parameters:
        `primaryIds` - input primary key list
      Returns:
        `Builder`

    - #### addPrimaryId

          public GetIdsParam.Builder addPrimaryId(@NonNull
                                                  T primaryId)

      Specifies primaryId field. PrimaryId cannot be empty or null.
      Parameters:
        `primaryId` - input primary key id
      Returns:
        `Builder`

    - #### withConsistencyLevel

          public GetIdsParam.Builder withConsistencyLevel(ConsistencyLevelEnum consistencyLevel)

      ConsistencyLevel of consistency level.
      Parameters:
        `consistencyLevel` - consistency level
      Returns:
        `Builder`

    - #### build

          public GetIdsParam build()
                            throws ParamException

      Verifies parameters and creates a new `GetIdsParam` instance.
      Returns:
        `GetIdsParam`
      Throws:
        `ParamException`